commerce_donation_flow.donation.default:
  path: '/donate'
  defaults:
    _controller: '\Drupal\commerce_donation_flow\Controller\DonationController::frontController'
    _title: 'Donate'
  requirements:
    _permission: 'make donation'

commerce_donation_flow.donation_controller_formPage:
  path: '/donate/{commerce_order}/{step}'
  defaults:
    _controller: '\Drupal\commerce_donation_flow\Controller\DonationController::nextStep'
    _title: 'Donate'
  requirements:
    _custom_access: '\Drupal\commerce_donation_flow\Controller\DonationController::checkAccess'
  options:
    parameters:
      commerce_order:
        type: entity:commerce_order

commerce_donation_flow.donation.quick:
  path: '/donate/{amount}/now'
  defaults:
    _controller: '\Drupal\commerce_donation_flow\Controller\DonationController::quickDonation'
    _title: 'Donate'
  requirements:
    _permission: 'make donation'
    amount: \d+
